import { Routes } from '@angular/router';
import { NavMobileTabs } from './nav-mobile-tabs/nav-mobile-tabs';

export const MOBILE_ROUTES: Routes = [
  {
    path: '',
    component: NavMobileTabs,
    children: [
      {
        path: 'home',
        loadComponent: () => import('./home-tab/home-tab').then(m => m.HomeTab)
      },
      {
        path: 'cart',
        loadComponent: () => import('./cart-tab/cart-tab').then(m => m.CartTab)
      },
      {
        path: 'mine',
        loadComponent: () => import('./ser-tab/ser-tab').then(m => m.SerTab)
      },
      {
        path: '',
        redirectTo: 'home',
        pathMatch: 'full'
      }
    ]
  }
];